Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 923038 - dev-python/blosc-1.11.1 fails tests: ModuleNotFoundError: No module named blosc.blosc_extension
Summary: dev-python/blosc-1.11.1 fails tests: ModuleNotFoundError: No module named blo...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2024-01-27 16:21 UTC by Agostino Sarubbo
Modified: 2024-06-16 07:14 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,105.79 KB, text/plain)
2024-01-27 16:21 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-01-27 16:21:35 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-python/blosc-1.11.1 fails tests.
Discovered on: amd64 (internal ref: ci)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#CF0015
Comment 1 Agostino Sarubbo gentoo-dev 2024-01-27 16:21:38 UTC
Created attachment 883303 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-06-16 07:14:29 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e08993092d1b39c55e949755bd77e677940208a5

commit e08993092d1b39c55e949755bd77e677940208a5
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2024-06-16 07:13:36 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2024-06-16 07:13:36 +0000

    dev-python/blosc: Workaround dev-python/scikit-build bugs
    
    Closes: https://bugs.gentoo.org/923038
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/blosc/blosc-1.11.1.ebuild | 8 ++++++++
 1 file changed, 8 insertions(+)